#include <iostream>

int main() {
    int number;
    std::cin >> number;

    if (number < 100 || number > 999) {
        std::cout << "Введите трехзначное число." << std::endl;
        return 1;
    }

    int sum = 0;
    int temp = number;

    while (temp > 0) {
        sum += temp % 10;
        temp /= 10;
    }

    if (sum % 3 == 0) {
        std::cout << number << " делится на 3." << std::endl;
    } else {
        std::cout << number << " не делится на 3." << std::endl;
    }

    return 0;
}

